searchNodes=[{"type":"module","title":"CodemapEx","doc":"CodemapEx - Elixir 代码映射和分析工具。 提供对项目中所有模块的分析和查询功能，可以了解每个代码块调用了哪些 Elixir 方法， 帮助理解代码结构和依赖关系。","ref":"CodemapEx.html"},{"type":"function","title":"CodemapEx.build_call_graph/3","doc":"构建函数调用图。 从指定的函数开始，递归遍历所有相关的函数调用，构建一个有向无环图。 参数 module - 起始函数所在的模块（原子） function - 起始函数的名称（原子） arity - 起始函数的参数数量（整数） 返回值 {:ok, graph} - 成功构建调用图 {:error, reason} - 发生错误，返回错误原因 示例 iex&gt; CodemapEx . build_call_graph ( Enum , :map , 2 ) { :ok , % CodemapEx.Graph { start : { Enum , :map , 2 } , nodes : [ { Enum , :map , 2 } ] , edges : [ ] } }","ref":"CodemapEx.html#build_call_graph/3"},{"type":"function","title":"CodemapEx.build_call_graph!/3","doc":"构建函数调用图，如果失败则抛出错误。 参数 module - 起始函数所在的模块（原子） function - 起始函数的名称（原子） arity - 起始函数的参数数量（整数） 返回值 调用图结构 示例 iex&gt; graph = CodemapEx . build_call_graph! ( Enum , :map , 2 ) % CodemapEx.Graph { start : { Enum , :map , 2 } , nodes : [ { Enum , :map , 2 } ] , edges : [ ] }","ref":"CodemapEx.html#build_call_graph!/3"},{"type":"function","title":"CodemapEx.get_block/1","doc":"获取指定模块的代码块结构。 参数 module - 要查询的模块（原子） 返回值 {:ok, block} - 成功返回模块的代码块结构 {:error, reason} - 发生错误，返回错误原因 示例 iex&gt; CodemapEx . get_block ( Test.Support.Math ) { :ok , % CodemapEx.Block.Mod { } }","ref":"CodemapEx.html#get_block/1"},{"type":"function","title":"CodemapEx.get_block!/1","doc":"获取指定模块的代码块结构，如果模块不存在则抛出错误。 参数 module - 要查询的模块（原子） 返回值 模块的代码块结构 示例 iex&gt; block = CodemapEx . get_block! ( Test.Support.Math ) % CodemapEx.Block.Mod { }","ref":"CodemapEx.html#get_block!/1"},{"type":"function","title":"CodemapEx.list_modules/0","doc":"列出已解析的所有模块。 返回值 模块名称（原子）的列表","ref":"CodemapEx.html#list_modules/0"},{"type":"function","title":"CodemapEx.pretty_print_call_graph/1","doc":"构建函数调用图并以美观格式打印结果。 此函数会构建调用图并将结果以易读的格式输出到控制台。 参数 module - 起始函数所在的模块（原子） function - 起始函数的名称（原子） arity - 起始函数的参数数量（整数） 返回值 调用图结构（与 build_call_graph! 相同） 示例 iex&gt; graph = CodemapEx . build_call_graph! ( Enum , :map , 2 ) iex&gt; CodemapEx . pretty_print_call_graph ( graph ) 函数调用图 - 起始点 : Enum . map / 2 节点数量 : 12 边数量 : 15 节点列表 : - Enum . map / 2 - List . map / 2 - ... 调用关系 : - Enum . map / 2 -&gt; List . map / 2 - ... % CodemapEx.Graph { start : { Enum , :map , 2 } , nodes : [ ... ] , edges : [ ... ] }","ref":"CodemapEx.html#pretty_print_call_graph/1"},{"type":"function","title":"CodemapEx.rescan/0","doc":"手动触发重新扫描项目中的所有模块。 此操作将重新扫描并解析项目中的所有模块，更新内部 ETS 表。","ref":"CodemapEx.html#rescan/0"},{"type":"function","title":"CodemapEx.to_mermaid/1","doc":"将调用图转换为 Mermaid 格式。 参数 graph - 调用图结构","ref":"CodemapEx.html#to_mermaid/1"},{"type":"module","title":"CodemapEx.Application","doc":"CodemapEx 应用程序模块。 负责启动和管理应用程序的所有组件，包括 Parser 服务。","ref":"CodemapEx.Application.html"},{"type":"module","title":"CodemapEx.Block","doc":"base code block","ref":"CodemapEx.Block.html"},{"type":"module","title":"CodemapEx.Block.Call","doc":"method call","ref":"CodemapEx.Block.Call.html"},{"type":"module","title":"CodemapEx.Block.Position","doc":"code position","ref":"CodemapEx.Block.Position.html"},{"type":"module","title":"CodemapEx.Graph","doc":"表示函数调用图的数据结构。 调用图是一个有向图，表示函数之间的调用关系。每个节点代表一个函数（由模块、函数名和参数数量组成）， 边表示从一个函数到另一个函数的调用关系。","ref":"CodemapEx.Graph.html"},{"type":"function","title":"CodemapEx.Graph.add_edge/3","doc":"向图中添加一条边。 参数 graph - 现有的调用图 from - 边的起始节点 to - 边的目标节点 返回值 更新后的调用图","ref":"CodemapEx.Graph.html#add_edge/3"},{"type":"function","title":"CodemapEx.Graph.add_node/2","doc":"向图中添加一个节点。 参数 graph - 现有的调用图 node - 要添加的节点，格式为 {模块, 函数名, 参数数量} 返回值 更新后的调用图","ref":"CodemapEx.Graph.html#add_node/2"},{"type":"function","title":"CodemapEx.Graph.new/1","doc":"创建一个新的调用图。 参数 start - 起始函数，格式为 {模块, 函数名, 参数数量} 返回值 新的调用图结构","ref":"CodemapEx.Graph.html#new/1"},{"type":"function","title":"CodemapEx.Graph.pretty_print/1","doc":"格式化打印调用图。 参数 graph - 要打印的调用图 返回值 原始调用图（方便链式调用）","ref":"CodemapEx.Graph.html#pretty_print/1"},{"type":"function","title":"CodemapEx.Graph.to_mermaid/1","doc":"将调用图转换为 Mermaid 图表格式的字符串。 参数 graph - 要转换的调用图 返回值 包含 Mermaid 图表定义的字符串","ref":"CodemapEx.Graph.html#to_mermaid/1"},{"type":"type","title":"CodemapEx.Graph.function_ref/0","doc":"","ref":"CodemapEx.Graph.html#t:function_ref/0"},{"type":"type","title":"CodemapEx.Graph.t/0","doc":"","ref":"CodemapEx.Graph.html#t:t/0"},{"type":"module","title":"CodemapEx.Parser","doc":"代码解析服务，负责扫描和解析项目中的 Elixir 模块。 此服务会将项目中所有模块转换为 Block 结构并存储在 ETS 表中，便于快速查询。","ref":"CodemapEx.Parser.html"},{"type":"function","title":"CodemapEx.Parser.child_spec/1","doc":"Returns a specification to start this module under a supervisor. See Supervisor .","ref":"CodemapEx.Parser.html#child_spec/1"},{"type":"function","title":"CodemapEx.Parser.get_block/1","doc":"获取指定模块的 Block 结构","ref":"CodemapEx.Parser.html#get_block/1"},{"type":"function","title":"CodemapEx.Parser.list_modules/0","doc":"列出已解析的所有模块","ref":"CodemapEx.Parser.html#list_modules/0"},{"type":"function","title":"CodemapEx.Parser.scan_modules/0","doc":"扫描项目并解析所有模块","ref":"CodemapEx.Parser.html#scan_modules/0"},{"type":"function","title":"CodemapEx.Parser.start_link/1","doc":"启动解析服务","ref":"CodemapEx.Parser.html#start_link/1"},{"type":"task","title":"Mix.Tasks.PrintAst","doc":"打印指定模块的 AST 结构 使用方式 mix print_ast Module.Name [ -- indent 2 ] 选项 --indent - 缩进空格数量，默认为 2 示例 mix print_ast Enum mix print_ast Enum.Map -- indent 4","ref":"Mix.Tasks.PrintAst.html"},{"type":"function","title":"Mix.Tasks.PrintAst.run/1","doc":"Callback implementation for Mix.Task.run/1 .","ref":"Mix.Tasks.PrintAst.html#run/1"},{"type":"task","title":"Mix.Tasks.PrintBlock","doc":"打印指定模块转换为 Block 结构的结果 使用方式 mix print_block Module.Name [ -- indent 2 ] 选项 --indent - 缩进空格数量，默认为 2 示例 mix print_block Enum mix print_block Test.Support.Math -- indent 4","ref":"Mix.Tasks.PrintBlock.html"},{"type":"function","title":"Mix.Tasks.PrintBlock.run/1","doc":"Callback implementation for Mix.Task.run/1 .","ref":"Mix.Tasks.PrintBlock.html#run/1"},{"type":"module","title":"Test.Support.Math","doc":"This is a module for math operations.","ref":"Test.Support.Math.html"},{"type":"function","title":"Test.Support.Math.add2/2","doc":"","ref":"Test.Support.Math.html#add2/2"},{"type":"function","title":"Test.Support.Math.add/2","doc":"","ref":"Test.Support.Math.html#add/2"},{"type":"function","title":"Test.Support.Math.subtract/2","doc":"","ref":"Test.Support.Math.html#subtract/2"}]